<div class="col-g-12">
    <div class="ui-g-12" style="background-color:white; border: 1px solid black;">
        <div class="ui-g-12">
            <button pButton type="submit" label="Filter" icon="fa-filter" class="ui-button-primary flat-label-button"
                (click)="filter()">
            </button>
            <button pButton label="Download" icon="fa-cogs" class="ui-button-primary flat-label-button"
                (click)="exportExcel()">
            </button>
            <br />
            <br />
            <div id="legendwrapper">
                <div class="legend" style="display: flex;align-items: center; justify-content:center;">
                    <div class="legend-item target"
                        style="width: 20px;height: 20px;margin-right: 8px; border: 1px solid #000; background-color: #FFFF00;"></div>
                    <span style="margin-right: 10px;">Target</span>

                    <div class="legend-item po"
                        style="width: 20px;height: 20px;margin-right: 8px; border: 1px solid #000; background-color: #0000FF;"></div>
                    <span style="margin-right: 10px;">PO</span>

                    <div class="legend-item shipping"
                        style="width: 20px;height: 20px;margin-right: 8px; border: 1px solid #000; background-color: #00FF00;"></div>
                    <span style="margin-right: 10px;">Pengiriman</span>

                    <div class="legend-item payment"
                        style="width: 20px;height: 20px;margin-right: 8px; border: 1px solid #000; background-color: #000000;"></div>
                    <span>Pembayaran</span>
                </div>
            </div>
        </div>
        <div class="ui-g-12" style="margin-bottom: 10 px;" [hidden] = "currentGroupUSers === 'BDK' || currentGroupUSers === 'LSG'">
            <p-fieldset legend="Semua Distributor" [toggleable]="true">
                <br><br><br><br>
                <div id="chartdivBarALlfk" style="height: 400px;"></div>
            </p-fieldset>
        </div>
        <div class="ui-g-12" style="margin-bottom: 10 px;" [hidden] = "currentGroupUSers === 'LSG'">
            <div class="ui-g-12" style="margin-bottom: 10 px;">
                <p-fieldset legend="Distributor Badak" [toggleable]="true">
                    <br><br><br><br>
                    <div id="chartdivBarAllBadakfk" style="height: 400px"></div>
                </p-fieldset>
            </div>
        </div>
        <div class="ui-g-12" style="margin-bottom: 10 px;" [hidden] = "currentGroupUSers === 'BDK'">
            <div class="ui-g-12" style="margin-bottom: 10 px;">
                <p-fieldset legend="Distributor Lasegar" [toggleable]="true">
                    <br><br><br><br>
                    <div id="chartdivBarAllLasegarfk" style="height: 400px"></div>
                </p-fieldset>
            </div>
        </div>
    </div>
</div>
<p-dialog [(visible)]="modalTrend" modal="true">
    <div>
        <label><span style="font-weight: bold; color: red;">{{dataDIV}} - {{dataBulan}}</span></label>
    </div>
    <div>
        <textarea [rows]="5" [cols]="100" pInputTextarea autoResize="autoResize"
            [(ngModel)]="notesChart.notes"></textarea>
    </div>
    <div class="modal-footer">
        <button pButton (click)="saveNote(dataBulan,dataDIV)" type="submit" label="Simpan Note" icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</p-dialog>
<p-confirmDialog></p-confirmDialog>